BADBLOCKS(8)

NOM
badblocks – Rechercher des blocs défectueux sur un périphérique

SYNOPSIS
badblocks [ -svwnfBX ] -b taille_bloc ] [ -c nombre_blocs ][ -d facteur_retard_lecture ] [ -e nombre_max_blocs_défectueux ] [ -i fichier_entrée ] [ -o fichier_sortie ] [ -p nombre_passes ] [ -t motif_test ] périphérique [ dernier_bloc ] [ premier_bloc ]

DESCRIPTION
badblocks est utilisé pour rechercher des blocs défectueux sur un périphérique (habituellement une partition de disque). périphérique est le fichier spécial correspondant au périphérique (par exemple /dev/hdc1). dernier_bloc est le dernier bloc à vérifier ; s'il n'est pas indiqué, le dernier bloc du périphérique est utilisé par défaut. premier_bloc est un paramètre optionnel indiquant le numéro de bloc de départ du test, ce qui permet à celui-ci de démarrer en plein milieu du disque. S'il n'est pas indiqué, le premier bloc du disque est utilisé par défaut.

Important note: If the output of badblocks is going to be fed to the e2fsck or mke2fs programs, it is important that the block size is properly specified, since the block numbers which are generated are very dependent on the block size in use by the file system. For this reason, it is strongly recommended that users not run badblocks directly, but rather use the -c option of the e2fsck and mke2fs programs.

OPTIONS

-b taille_bloc
    Indiquer la taille des blocs en octets. La taille par défaut est 1024.

-c nombre_blocs
    Nombre de blocs à tester en une fois (64 par défaut).

-d facteur_retard_lecture
    Ce paramètre, s'il n'est pas nul, indique à badblocks d'attendre entre les lectures s'il n'y a pas eu d'erreurs lors de l'opération de lecture ; le délai sera calculé comme un pourcentage du temps qui a été nécessaire pour l'opération de lecture. En d'autres termes, une valeur de 100 fera que chaque lecture sera retardée par le temps pris pour la lecture précédente et une valeur de 200 par deux fois ce temps.

-e nombre_max_blocs_défectueux
    Indiquer un nombre maximal de blocs défectueux avant que le test soit arrêté. Le nombre par défaut est 0, ce qui signifie que le test continuera jusqu'à ce que la fin de la plage de test soit atteinte.

-f  Normally, badblocks will refuse to do a read/write or a non-destructive test on a device which is mounted, since either can cause the system to potentially crash and/or damage the file system even if it is mounted read-only. This can be overridden using the -f flag, but should almost never be used --- if you think you're smarter than the badblocks program, you almost certainly aren't. The only time when this option might be safe to use is if the /etc/mtab file is incorrect, and the device really isn't mounted.

-i fichier_entrée
    Read a list of already existing known bad blocks. Badblocks will skip testing these blocks since they are known to be bad. If input_file is specified as "-", the list will be read from the standard input. Blocks listed in this list will be omitted from the list of new bad blocks produced on the standard output or in the output file. The -b option of dumpe2fs(8) can be used to retrieve the list of blocks currently marked bad on an existing file system, in a format suitable for use with this option.

-n  Utiliser le mode lecture-écriture non destructif. Par défaut, seul un test en lecture seule non destructif est effectué. Cette option ne peut être combinée avec l'option -w, car elles sont mutuellement exclusives.

-o fichier_sortie
    Écrire la liste des blocs défectueux dans le fichier indiqué. Sans cette option, badblocks affiche la liste sur la sortie standard. Le format de ce fichier peut être utilisé avec l'option -l de e2fsck(8) ou de mke2fs(8).

-p nombre_passes
    Répéter l'analyse du disque jusqu'à ce que plus aucun nouveau bloc ne soit découvert en nombre_passes analyses consécutives du disque. Vaut 0 par défaut, ce qui signifie que badblocks se terminera après la première passe.

-s  Afficher la progression de l'analyse en indiquant un rapide pourcentage de la progression de la passe en cours de badblocks. Notez que badblocks peut effectuer plusieurs passes sur le disque, en particulier si l'option -p ou -w est fournie par l'utilisateur.

-t motif_test
    Indiquer un motif de test à lire (et écrire) dans les blocs du disque. motif_test peut être soit une valeur numérique comprise entre 0 et ULONG_MAX-1 (valeurs incluses), ou le mot « random », qui indique que les blocs doivent être remplis avec une valeur aléatoire. Dans le mode lecture-écriture (-w) et le mode non destructif (-n), un motif de test ou plus peuvent être indiqués en précisant l’option -t pour chaque motif de test voulu. Pour le mode en lecture seule, un seul motif de test est accepté et il ne peut pas être « random ». Le test en lecture seule avec un motif de test suppose que le disque a déjà été rempli avec ce motif ; sinon, un grand nombre de blocs ne pourront être vérifiés. Si plusieurs motifs de test sont indiqués, alors tous les blocs sont testés avec un motif avant de passer au motif suivant.

-v  Mode détaillé. Le nombre d'erreurs de lecture, d'écriture et de corruption des données sera affiché sur le flux d'erreur standard.

-w  Utiliser un test en mode écriture. Avec cette option, badblocks recherchera les blocs défectueux en écrivant quelques motifs (0xaa, 0x55, 0xff, 0x00) sur chaque bloc du périphérique et en relisant celui-ci pour en vérifier le contenu. Cette option ne peut être combinée avec l'option -n, car elles sont mutuellement exclusives.

-B  Utiliser des tampons d'entrées/sorties, au lieu d'entrées/sorties directes (« Direct I/O »), même si celles-ci sont disponibles.

-X  Indicateur interne, uniquement destiné à être utilisé par e2fsck(8) et mke2fs(8). Il contourne la vérification de sécurité en mode exclusif du périphérique en cours d’utilisation.

AVERTISSEMENT
N'utilisez jamais l'option -w sur un périphérique contenant un système de fichiers existant. Cette option efface les données ! Si vous voulez effectuer des tests en mode écriture sur un système de fichiers existant, utilisez plutôt l'option -n. Elle est plus lente, mais elle préserve vos données.

Avec l'option -e, badblocks peut n'afficher qu'une liste incomplète de blocs défectueux. Il est donc recommandé de ne l'utiliser que si l'on cherche à savoir s'il y a ou pas des blocs défectueux sur le périphérique, et non pas quand on souhaite avoir la liste des blocs défectueux.

AUTEUR
badblocks a été écrit par Rémy Card <Remy.Card@linux.org>. Le responsable actuel est Theodore Ts'o <tytso@alum.mit.edu>. Le test de lecture-écriture non destructif a été implémenté par David Beattie <dbeattie@softhome.net>.

DISPONIBILITÉ
badblocks fait partie du paquet e2fsprogs et est disponible sur http://e2fsprogs.sourceforge.net.

VOIR AUSSI
e2fsck(8), mke2fs(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Gérard Delafond <gerard@delafond.org>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Sébastien Blanchet, Emmanuel Araman <Emmanuel@araman.org>, Éric Piel <eric.piel@tremplin-utc.net>, Nicolas François <nicolas.francois@centraliens.net>, Romain Doumenc <rd6137@gmail.com>, David Prévot <david@tilapin.org> et Cédric Boutillier <cedric.boutillier@gmail.com> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.